# Welcome to funcy documentation!

Funcy is designed to be a layer of functional tools over python.

Special topics:

- Overview
- Cheatsheet
- Extended function semantics
- Python 2/3 support

Contents:

- Sequences
- Collections
- Functions
- Decorators
- Flow
- String utils
- Calculation
- Type testing
- Objects
- Debugging
- Primitives

Essays:

- Why Every Language Needs Its Underscore

- Functional Python Made Easy

- Abstracting Control Flow

- Painless Decorators

You can also look at the code or create an issue.